ndiswrapper-dkms 1.58~rc1-0ubuntu1: ndiswrapper kernel module failed to build [error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘wrap_pnp_remove_pci_device’]

Bug #1106051 reported by Matthijs on 2013-01-26
156
This bug affects 29 people
Affects Status Importance Assigned to Milestone
ndiswrapper
Fix Released
Undecided
Unassigned
ndiswrapper (Ubuntu)
High
Brian Murray
Precise
Medium
Unassigned
Raring
High
Brian Murray

Bug Description

WORKAROUND: An updated version of ndiswrapper for Ubuntu 13.04/Raring can be obtained from: https://launchpad.net/~dtl131/+archive/mediahacks

TRIAGE SUMMARY: Upgrade to release version of ndiswrapper 1.58 is needed for kernel 3.8 support. From ndiswrapper changelog:

Version 1.58 2013-02-19
=======================
* Added support for Linux kernels up to 3.8

ORIGINAL REPORT:
While updating to new kernel

ProblemType: Package
DistroRelease: Ubuntu 13.04
Package: ndiswrapper-dkms 1.58~rc1-0ubuntu1
ProcVersionSignature: Ubuntu 3.8.0-1.5-generic 3.8.0-rc4
Uname: Linux 3.8.0-1-generic i686
NonfreeKernelModules: wl
ApportVersion: 2.8-0ubuntu2
Architecture: i386
DKMSKernelVersion: 3.8.0-2-generic
Date: Sat Jan 26 15:09:04 2013
InstallationDate: Installed on 2012-10-03 (114 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release i386 (20120817.1)
MarkForUpload: True
PackageArchitecture: all
PackageVersion: 1.58~rc1-0ubuntu1
SourcePackage: ndiswrapper
Title: ndiswrapper-dkms 1.58~rc1-0ubuntu1: ndiswrapper kernel module failed to build
UpgradeStatus: Upgraded to raring on 2012-10-05 (113 days ago)

Related branches

Matthijs (tijs) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ndiswrapper (Ubuntu):
status: New → Confirmed
summary: ndiswrapper-dkms 1.58~rc1-0ubuntu1: ndiswrapper kernel module failed to
- build
+ build [error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before
+ ‘wrap_pnp_remove_pci_device’]
Ben A (8-roothorick-gmail-com) wrote :

This bug has been fixed upstream in 1.58.

Marking 'Fix Committed' per Ben A's comment and ndiswrapper changelog.

Changed in ndiswrapper (Ubuntu):
status: Confirmed → Fix Committed

Sorry, not fix committed for Ubuntu repo (just upstream at this point). My apologies

Changed in ndiswrapper (Ubuntu):
status: Fix Committed → Confirmed
Changed in ndiswrapper:
status: New → Fix Released

TRIAGE SUMMARY: Upgrade to release version of ndiswrapper 1.58 is needed for kernel 3.8 support. From ndiswrapper changelog:

Version 1.58 2013-02-19
=======================
* Added support for Linux kernels up to 3.8

description: updated
Changed in ndiswrapper (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1023645, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Daniel van Vugt (vanvugt) wrote :

Sorry. Pasted that in the wrong bug.

I've packaged version 1.58 in my PPA - https://launchpad.net/~dtl131/+archive/mediahacks
Please test it and let us know if it works.

Just tested and it works for me. Thanks!

Jalakas (jalakas) wrote :

When does it ship to main Ubuntu repositories?

Raring is released soon, it would be shame to have bugs with ndiswrapper and mostly Wifi drivers used with it.

description: updated

Jalakas, my experience with trying to get things into the main repo hasn't been encouraging (too many hoops to jump through, packages rejected with no explanation, etc.). I haven't used ndiswrapper in years, so now that I've made an easy workaround by putting a fixed package in my PPA, this bug isn't on my list of priorities. Anyone is welcome to push my package into raring-proposed ant try to get it sponsored if they want to put the time/effort into it.

Changed in ndiswrapper (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in ndiswrapper (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Dmitrijs Ledkovs (xnox)
milestone: none → ubuntu-12.04.3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ndiswrapper - 1.58-0ubuntu1

---------------
ndiswrapper (1.58-0ubuntu1) raring; urgency=low

  * New upstream release adding support for 3.8 kernels (LP: #1106051)
   - drop fix-3.7-kernels.patch (fixed upstream)
 -- Dave Lentz <email address hidden> Sat, 30 Mar 2013 07:03:57 -0400

Changed in ndiswrapper (Ubuntu Raring):
status: In Progress → Fix Released
Shahar Or (mightyiam) wrote :

Perfect! Thanks, everyone.

Changed in ndiswrapper (Ubuntu Precise):
assignee: Dimitri John Ledkov (xnox) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers